%define upstream_name    Perl-Version
%define upstream_version 1.018

%{?perl_default_filter}

Name:       perl-%{upstream_name}
Version:    %perl_convert_version %{upstream_version}
Release:    %mkrel 2

Summary:    Parse and manipulate Perl version strings
License:    GPL+ or Artistic
Group:      Development/Perl
Url:        https://metacpan.org/release/%{upstream_name}
Source0:    https://cpan.metacpan.org/modules/by-module/Perl/%{upstream_name}-%{upstream_version}.tar.gz

BuildRequires: perl(Carp)
BuildRequires: perl(Data::Dumper)
BuildRequires: perl(ExtUtils::MakeMaker) >= 6.640.0
BuildRequires: perl(File::Spec::Functions)
BuildRequires: perl(Getopt::Long) >= 2.340.0
BuildRequires: perl(Pod::Usage) >= 1.300.0
BuildRequires: perl(Scalar::Util)
BuildRequires: perl(Test::More) >= 1.0.0
BuildArch:  noarch

%description
Perl::Version provides a simple interface for parsing, manipulating and
formatting Perl version strings.

Unlike version.pm (which concentrates on parsing and comparing version
strings) Perl::Version is designed for cases where you'd like to parse a
version, modify it and get back the modified version formatted like the
original.

For example:

%prep
%setup -q -n %{upstream_name}-%{upstream_version}

%build
yes | %__perl Makefile.PL INSTALLDIRS=vendor
%make_build

%check
make test

%install
%make_install

%files
%doc Changes LICENSE META.json META.yml MYMETA.yml examples
%{_mandir}/man1/*
%{_mandir}/man3/*
%perl_vendorlib/*
/usr/bin/perl-reversion

%changelog
* Tue Jul 01 2025 umeabot <umeabot> 1.18.0-2.mga10
+ Revision: 2234939
- Mageia 10 Mass Rebuild

* Tue Jan 28 2025 tv <tv> 1.18.0-1.mga10
+ Revision: 2143160
- update to 1.018

* Mon Mar 11 2024 tv <tv> 1.17.0-1.mga10
+ Revision: 2049147
- update to 1.017

* Mon Jan 08 2024 tv <tv> 1.mga10-current
+ Revision: 2028942
- update to 1.016

* Fri Jan 05 2024 tv <tv> 1.15.0-1.mga10
+ Revision: 2027684
- update to 1.015

* Sun Mar 20 2022 umeabot <umeabot> 1.13.0-8.mga9
+ Revision: 1805085
- Mageia 9 Mass Rebuild

* Wed Feb 12 2020 umeabot <umeabot> 1.13.0-7.mga8
+ Revision: 1496577
- Mageia 8 Mass Rebuild
+ wally <wally>
- replace deprecated %%makeinstall_std

* Wed Sep 19 2018 umeabot <umeabot> 1.13.0-6.mga7
+ Revision: 1270515
- Mageia 7 Mass Rebuild

* Sun Jun 19 2016 pterjan <pterjan> 1.13.0-5.mga6
+ Revision: 1032014
- Rebuild for perl 5.22.2

* Thu Feb 04 2016 umeabot <umeabot> 1.13.0-4.mga6
+ Revision: 935720
- Mageia 6 Mass Rebuild

* Wed Oct 15 2014 umeabot <umeabot> 1.13.0-3.mga5
+ Revision: 744204
- Second Mageia 5 Mass Rebuild

* Tue Sep 16 2014 umeabot <umeabot> 1.13.0-2.mga5
+ Revision: 685942
- Mageia 5 Mass Rebuild

* Tue Feb 25 2014 jquelin <jquelin> 1.13.0-1.mga5
+ Revision: 596841
- update to 1.013

* Fri Oct 18 2013 umeabot <umeabot> 1.11.0-3.mga4
+ Revision: 514103
- Mageia 4 Mass Rebuild

* Sun Jan 13 2013 umeabot <umeabot> 1.11.0-2.mga3
+ Revision: 371714
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

* Sat Feb 26 2011 jquelin <jquelin> 1.11.0-1.mga1
+ Revision: 60362
- update to 1.011

* Sat Jan 22 2011 jquelin <jquelin> 1.10.0-1.mga1
+ Revision: 32320
- mageia rebuild
- imported package perl-Perl-Version

